Package com.fasterxml.jackson.core.util

# Interface RecyclerPool.WithPool<P extends RecyclerPool.WithPool<P>>

Type Parameters:
  `P` - Self type

All Known Implementing Classes:
  `BufferRecycler`

Enclosing interface:
  RecyclerPool<P extends RecyclerPool.WithPool<P>>

public static interface RecyclerPool.WithPool<P extends RecyclerPool.WithPool<P>>
Simple add-on interface that poolable entities must implement.

## Method Summary

Modifier and Type
Method
Description
`void`
`releaseToPool()`
Method called when this item is to be released back to the pool that owns it (if any)
`P`
`withPool(RecyclerPool<P> pool)`
Method to call to add link from pooled item back to pool that handles it

## Method Details

### withPool

P withPool(RecyclerPool<P> pool)
Method to call to add link from pooled item back to pool that handles it

Parameters:
  `pool` - Pool that "owns" pooled item
Returns:
  This item (for call chaining)

### releaseToPool

void releaseToPool()
Method called when this item is to be released back to the pool that owns it (if any)